Skip to main content
GET
/
teams
List teams
curl --request GET \
  --url https://api.stack-auth.com/api/v1/teams
{
  "items": [
    {
      "created_at_millis": 1630000000000,
      "id": "ad962777-8244-496a-b6a2-e0c6a449c79e",
      "display_name": "My Team",
      "server_metadata": {
        "key": "value"
      },
      "profile_image_url": "https://example.com/image.jpg",
      "client_metadata": {
        "key": "value"
      },
      "client_read_only_metadata": {
        "key": "value"
      }
    }
  ],
  "pagination": {
    "next_cursor": "b3d396b8-c574-4c80-97b3-50031675ceb2"
  }
}

Documentation Index

Fetch the complete documentation index at: https://stackauth-e0affa27-chore-move-mcp-to-a-sep-app.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

user_id
string

Filter for the teams that the user is a member of. Can be either me or an ID. Must be me in the client API

Example:

"me"

Response

200 - application/json

Successful response

items
object[]
required
pagination
object